<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

class WIP_Tabansms extends WIP_SMS {

    public function send() {
        ini_set("soap.wsdl_cache_enabled", "0");
        if ($this->pattern_code) {
            $client = new SoapClient("http://188.0.240.110/class/sms/wsdlservice/server.php?wsdl");
            $user = $this->username;
            $pass = $this->password;
            $from = $this->from;
            $toNum = array($this->to);
            $pattern_code = $this->pattern_code;
            $input_data = $this->get_pattern_message();
            $result = $client->sendPatternSms($from, $toNum, $user, $pass, $pattern_code, $input_data);
            return $result;
        } else {
            try {
                $client = new SoapClient("https://ippanel.com/class/sms/wsdlservice/server.php?wsdl");
                $user = $this->username;
                $pass = $this->password;
                $from = $this->from;
                $to = array($this->to);
                $messageContent = $this->message;
                $op = "send";
                $time = '';

                $status = $client->SendSMS($from, $to, $messageContent, $user, $pass, $time, $op);
                return $status;
            } catch (SoapFault $ex) {
                return $ex->faultstring;
            }
        }
    }
}